/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.server.jmx;

/**
 * MBean interface.
 */
public interface InvokerMBean extends org.jboss.system.ServiceMBean
{

   javax.management.ObjectName getNextInterceptor();

   void setNextInterceptor(javax.management.ObjectName jbossMQService);

   org.jboss.mq.server.JMSServerInvoker getInvoker();

}
